OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.APPLE.FlushBufferRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEFlushBufferRange :: MonadIO m => m Bool
- gl_APPLE_flush_buffer_range :: Bool
- gl_BUFFER_FLUSHING_UNMAP_APPLE :: GLenum
- gl_BUFFER_SERIALIZED_MODIFY_APPLE :: GLenum
- glBufferParameteriAPPLE :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glFlushMappedBufferRangeAPPLE :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> m ()

# Extension Support

glGetAPPLEFlushBufferRange :: MonadIO m => m Bool

Is the APPLE_flush_buffer_range extension supported?

gl_APPLE_flush_buffer_range :: Bool

Is the APPLE_flush_buffer_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEFlushBufferRange` in those cases instead.

# Enums

gl_BUFFER_FLUSHING_UNMAP_APPLE :: GLenum

gl_BUFFER_SERIALIZED_MODIFY_APPLE :: GLenum

# Functions

glBufferParameteriAPPLE

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> GLint | `param`.
-> m () |

glFlushMappedBufferRangeAPPLE

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

This command is an alias for `glFlushMappedBufferRange`.